2011-07-22  Michael B. Trausch  <mike@trausch.us>

	Release 0.7.5.1dev fixing several CTT issues.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	Release 0.7.5dev

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Mark Version 0.7.5dev in configure.ac

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	Include two new .h files in the source distribution.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* po/alltray.pot:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:

	Updates to translation files for location of translatable strings.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* AUTHORS:

	Update date in authors file.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Version bump.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* NEWS:

	Update NEWS.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* images/Makefile.am:

	Include the CTT XPM in the distribution.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* images/alltray_ctt.xpm:
	* src/Ctt.vala:
	* src/alltray-ctt-helper.c:
	* src/alltray-ctt-helper.h:
	* src/alltray-ctt-interpreter.c:
	* src/alltray-ctt-interpreter.h:
	* src/alltray-ctt-windowlist.c:
	* src/alltray-ctt-windowlist.h:
	* .bzrignore:
	* config.guess:
	* config.sub:
	* configure.ac:
	* man/alltray.1.in:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/Debug.vala:
	* src/Makefile.am:
	* src/Process.vala:

	Merge 0.7.5/close-to-tray branch.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:

	Update the man page: Add information for the new release and fix formatting.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix a bug in Application.set_visibility_for_window that was never
	triggered (as far as I could tell).
	
	Also, use set_visibility_for_window() instead of toggle_window_visibility()
	as that is more correct.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:
	* src/Ctt.vala:
	* src/Debug.vala:
	* src/Process.vala:
	* src/alltray-ctt-helper.c:

	CTT is now working!

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/Ctt.vala:

	Install CTT glue.  But it is not quite working yet.  ALMOST!

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:

	Watch for the destruction of the parent window, and if it is destroyed
	then remove it from the list of maintained windows.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Update .bzrignore.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:

	Update the man page.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/Ctt.vala:

	Disambiguate the namespace.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	Oops. Actually commit the changes I wanted to commit.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:
	* src/AllTrayCtt.vala:
	* src/Ctt.vala:

	Initial CTT support in the front-end.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-windowlist.c:

	Fix some bloody annoying pointer bug.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-windowlist.c:

	Fix order-of-operations bug that caused a segfault.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-interpreter.c:

	Fix message.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:
	* src/alltray-ctt-helper.h:
	* src/alltray-ctt-interpreter.c:
	* src/alltray-ctt-windowlist.c:
	* src/alltray-ctt-windowlist.h:

	Interim commit to show code.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/AllTrayCtt.vala:
	* src/alltray-ctt-helper.h:
	* src/alltray-ctt-windowlist.c:
	* src/alltray-ctt-windowlist.h:
	* src/Makefile.am:
	* src/alltray-ctt-helper.c:
	* src/alltray-ctt-interpreter.c:

	Moved the windowlist code to a cleaner module by itself.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:

	Fill in the X11 event stub.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:

	Fix a bug in the linked list handling that caused a segfault.

2011-07-13  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:
	* src/alltray-ctt-interpreter.c:
	* src/alltray-ctt-interpreter.h:

	Flushing out the interpreter.  Still some segfaults to diagnose
	and repair.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-interpreter.c:
	* src/alltray-ctt-interpreter.h:
	* src/alltray-ctt-helper.c:

	Interpreter now functions properly. Stubs need filled in.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:
	* src/alltray-ctt-helper.c:

	Wiring is at least part-way done, debugging needed.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* src/alltray-ctt-helper.c:

	Event loop installed, just need to implement the communication and such.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:
	* src/alltray-ctt-helper.c:

	Fix build failures for CTT helper module.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Fix warning from autogen.sh process.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Update .bzrignore.

2011-07-12  Michael B. Trausch  <mike@trausch.us>

	* images/alltray_ctt.xpm:
	* src/alltray-ctt-helper.c:
	* src/AllTrayCttHelper.vala:
	* config.guess:
	* config.sub:
	* configure.ac:
	* src/Makefile.am:

	Pass 2: CTT is a pure-C program.

2011-07-11  Michael B. Trausch  <mike@trausch.us>

	* src/AllTrayCttHelper.vala:
	* .bzrignore:
	* src/Makefile.am:

	Create the alltray-ctt-helper binary, which is required because X11
	only permits a single connection from a single client to the window
	system.  Additionally, we cannot multiplex (easily) between GDK/GTK+
	and X11 directly, because that is quite error-prone and not very
	"future-proof".  Therefore, we are going to use another binary for
	this.
	
	Note that the ctt-helper doesn't do anything yet.

2011-07-14  Michael B. Trausch  <mike@trausch.us>

	* po/ar.po:
	* po/bg.po:
	* po/cs.po:
	* po/gl.po:
	* po/he.po:
	* po/hi.po:
	* po/pt.po:
	* po/pt_BR.po:
	* po/uk.po:
	* po/zh_CN.po:
	* po/da.po:
	* po/de.po:
	* po/en_GB.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/tr.po:

	Update translations.

2011-05-10  Launchpad Translations on behalf of mtrausch

	* po/uk.po:

	Launchpad automatic translations update.

2011-04-24  Launchpad Translations on behalf of mtrausch

	* po/es.po:

	Launchpad automatic translations update.

2011-02-15  Launchpad Translations on behalf of mtrausch

	* po/cs.po:

	Launchpad automatic translations update.

2011-02-07  Launchpad Translations on behalf of mtrausch

	* po/es.po:

	Launchpad automatic translations update.

2011-01-12  Launchpad Translations on behalf of mtrausch

	* po/it.po:

	Launchpad automatic translations update.

2010-12-19  Launchpad Translations on behalf of mtrausch

	* po/es.po:

	Launchpad automatic translations update.

2010-12-10  Launchpad Translations on behalf of mtrausch

	* po/es.po:

	Launchpad automatic translations update.

2010-11-13  Launchpad Translations on behalf of mtrausch

	* po/pl.po:

	Launchpad automatic translations update.

2010-11-12  Launchpad Translations on behalf of mtrausch

	* po/pl.po:

	Launchpad automatic translations update.

2010-10-09  Launchpad Translations on behalf of mtrausch

	* po/cs.po:

	Launchpad automatic translations update.

2010-10-04  Launchpad Translations on behalf of mtrausch

	* po/cs.po:

	Launchpad automatic translations update.

2010-09-02  Launchpad Code Hosting  <codehost@crowberry>

	* po/it.po:

	Launchpad automatic translations update.

2010-07-05  Launchpad Code Hosting  <codehost@crowberry>

	* po/ru.po:

	Launchpad automatic translations update.

2010-07-02  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:

	Launchpad automatic translations update.

2010-06-22  Launchpad Code Hosting  <codehost@crowberry>

	* po/gl.po:
	* po/pt.po:
	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-06-21  Launchpad Code Hosting  <codehost@crowberry>

	* po/gl.po:
	* po/pt.po:
	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-06-10  Launchpad Code Hosting  <codehost@crowberry>

	* po/ru.po:

	Launchpad automatic translations update.

2010-05-05  Launchpad Code Hosting  <codehost@crowberry>

	* po/ru.po:

	Launchpad automatic translations update.

2010-04-15  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-04-14  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-04-13  Launchpad Code Hosting  <codehost@crowberry>

	* po/he.po:

	Launchpad automatic translations update.

2010-03-22  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt.po:
	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-03-21  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt.po:
	* po/pt_BR.po:

	Launchpad automatic translations update.

2010-03-19  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt_BR.po:
	* po/it.po:

	Launchpad automatic translations update.

2010-02-23  Launchpad Code Hosting  <codehost@crowberry>

	* po/bg.po:

	Launchpad automatic translations update.

2010-02-06  Launchpad Code Hosting  <codehost@crowberry>

	* po/tr.po:

	Launchpad automatic translations update.

2010-01-24  Launchpad Code Hosting  <codehost@crowberry>

	* po/en_GB.po:

	Launchpad automatic translations update.

2010-01-20  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt.po:
	* po/ru.po:

	Launchpad automatic translations update.

2010-01-19  Launchpad Code Hosting  <codehost@crowberry>

	* po/pt.po:

	Launchpad automatic translations update.

2010-01-14  Launchpad Code Hosting  <codehost@crowberry>

	* po/cs.po:

	Launchpad automatic translations update.

2009-12-31  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-12-30  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-12-25  Launchpad Code Hosting  <codehost@crowberry>

	* po/en_GB.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-12-24  Launchpad Code Hosting  <codehost@crowberry>

	* po/hi.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-12-20  Launchpad Code Hosting  <codehost@crowberry>

	* po/tr.po:
	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-12-17  Launchpad Code Hosting  <codehost@crowberry>

	* po/ar.po:

	Launchpad automatic translations update.

2009-10-29  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-10-27  Launchpad Code Hosting  <codehost@crowberry>

	* po/it.po:

	Launchpad automatic translations update.

2009-10-22  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-10-21  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:

	Launchpad automatic translations update.

2009-10-17  Launchpad Code Hosting  <codehost@crowberry>

	* po/zh_CN.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-10-05  Launchpad Code Hosting  <codehost@crowberry>

	* po/cs.po:

	Launchpad automatic translations update.

2009-10-03  Launchpad Code Hosting  <codehost@crowberry>

	* po/es.po:

	Launchpad automatic translations update.

2009-09-30  Launchpad Code Hosting  <codehost@crowberry>

	* po/da.po:
	* po/de.po:
	* po/es.po:
	* po/fi.po:
	* po/fr.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/tr.po:

	Launchpad automatic translations update.

2010-07-29  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Update copyright years.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:
	* NEWS:
	* configure.ac:
	* man/alltray.1.in:
	* po/alltray.pot:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Merge 0.7.4dev release branch

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	What I just did in the last commit, part 2.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:

	Remove tests from SUBDIRS

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:

	Add HACKING to EXTRA_DIST.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:

	Update man page.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* po/alltray.pot:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:

	Fix de.po, mark a translation there as fuzzy.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Import latest translations from Launchpad.

2009-09-03  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Version bump in preparation for release.

2009-09-04  Michael B. Trausch  <mike@trausch.us>

	* NEWS:

	Update NEWS for 0.7.4dev

2009-09-02  Michael B. Trausch  <mike@trausch.us>

	* po/nl.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Translations refresh from LP Translations.

2009-09-02  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-09-01  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-31  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/nl.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-30  Launchpad Code Hosting  <codehost@crowberry>

	* po/nl.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-29  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-28  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-27  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-26  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-25  Michael B. Trausch  <mike@trausch.us>

	* po/ru.po:
	* po/sv.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Merge from lp:~mtrausch/alltray/launchpad-translations

2009-08-25  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-24  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-23  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-22  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-21  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-20  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-19  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-18  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-17  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-16  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-15  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-14  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-13  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-12  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/ru.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-11  Launchpad Code Hosting  <codehost@crowberry>

	* po/ru.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-10  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-09  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-08  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-07  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-06  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-05  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/sv.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-04  Launchpad Code Hosting  <codehost@crowberry>

	* po/sv.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-03  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-02  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-08-01  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-07-31  Launchpad Code Hosting  <codehost@crowberry>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Launchpad automatic translations update.

2009-07-30  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:
	* po/de.po:
	* po/en_US.po:
	* po/it.po:
	* NEWS:
	* REQUIREMENTS:
	* man/alltray.1.in:
	* po/LINGUAS:
	* po/Makevars:
	* po/alltray.pot:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/Debug.vala:
	* vapi/alltray.vapi:

	Merge trunk back here.

2009-08-23  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:
	* src/Application.vala:
	* vapi/alltray.vapi:

	Requires Vala 0.7.5, remove AllTray.Private.GLib.

2009-07-30  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:

	Update Translations

2009-07-30  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* po/tr.po:

	Commit new LP Translations

2009-07-30  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:

	Remove translations

2009-07-26  Michael B. Trausch  <mike@trausch.us>

	* src/Debug.vala:

	Actually use the new translatable strings if possible.

2009-07-26  Michael B. Trausch  <mike@trausch.us>

	* po/alltray.pot:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* src/AllTray.vala:
	* src/Debug.vala:

	Add more translatable messages using N_() in places that use contants.

2009-07-26  Michael B. Trausch  <mike@trausch.us>

	* vapi/alltray.vapi:

	Fix typo.

2009-07-26  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS

2009-07-26  Michael B. Trausch  <mike@trausch.us>

	* po/Makevars:
	* po/alltray.pot:
	* po/de.po:
	* po/en_GB.po:
	* po/en_US.po:
	* po/es.po:
	* po/it.po:
	* po/pl.po:
	* src/Application.vala:
	* vapi/alltray.vapi:

	Correct defect: Use ngettext for pluralized strings.

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* NEWS:

	Updated NEWS to bring it current.

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:
	* src/AllTray.vala:
	* src/Application.vala:

	Support -H (--hide) to hide windows on spawn/attach.

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* po/en_GB.po:
	* po/es.po:
	* po/pl.po:
	* po/LINGUAS:
	* po/de.po:
	* po/it.po:

	Added/refreshed translations from LP
	
	New: en_GB, es (partial), pl
	Updated: de, it
	
	Thanks to David Raker (es) and Grzegorz Dąbrowski (Polish), Erica
	Rosalle (en_GB) and everyone else!

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* po/alltray.pot:
	* po/de.po:
	* po/en_US.po:
	* po/it.po:

	Update pot and *.po files to reflect string changes.

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Only blink when the MINIMIZED flag was one that changed.

2009-07-25  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix race condition causing unnecessary blinking under Metacity.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Initialize the translation subsystem before displaying any output.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	... and do not define it here

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	Fix translation, needed the directory.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/de.po:
	* po/it.po:
	* po/LINGUAS:

	Added German and Italian translations.
	
	Thanks to midnightflash and Luca Cappelletti from Launchpad for the
	translations!

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Added more ignore rules

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* data/alltray.desktop.in:
	* src/AllTray.vala:
	* vapi/alltray.vapi:

	Fix alltray launcher

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/LINGUAS:

	Add to LINGUAS

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/en_US.po:

	Added UTF-8 en_US “translation”.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* ABOUT-NLS:
	* config.guess:
	* config.rpath:
	* config.sub:
	* gettext.h:
	* intl:
	* intl/ChangeLog:
	* intl/Makefile.in:
	* intl/VERSION:
	* intl/bindtextdom.c:
	* intl/config.charset:
	* intl/dcgettext.c:
	* intl/dcigettext.c:
	* intl/dcngettext.c:
	* intl/dgettext.c:
	* intl/dngettext.c:
	* intl/eval-plural.h:
	* intl/explodename.c:
	* intl/export.h:
	* intl/finddomain.c:
	* intl/gettext.c:
	* intl/gettextP.h:
	* intl/gmo.h:
	* intl/hash-string.c:
	* intl/hash-string.h:
	* intl/intl-compat.c:
	* intl/intl-exports.c:
	* intl/l10nflist.c:
	* intl/langprefs.c:
	* intl/libgnuintl.h.in:
	* intl/libintl.rc:
	* intl/loadinfo.h:
	* intl/loadmsgcat.c:
	* intl/localcharset.c:
	* intl/localcharset.h:
	* intl/locale.alias:
	* intl/localealias.c:
	* intl/localename.c:
	* intl/lock.c:
	* intl/lock.h:
	* intl/log.c:
	* intl/ngettext.c:
	* intl/os2compat.c:
	* intl/os2compat.h:
	* intl/osdep.c:
	* intl/plural-exp.c:
	* intl/plural-exp.h:
	* intl/plural.c:
	* intl/plural.y:
	* intl/printf-args.c:
	* intl/printf-args.h:
	* intl/printf-parse.c:
	* intl/printf-parse.h:
	* intl/printf.c:
	* intl/ref-add.sin:
	* intl/ref-del.sin:
	* intl/relocatable.c:
	* intl/relocatable.h:
	* intl/textdomain.c:
	* intl/tsearch.c:
	* intl/tsearch.h:
	* intl/vasnprintf.c:
	* intl/vasnprintf.h:
	* intl/vasnwprintf.h:
	* intl/version.c:
	* intl/wprintf-parse.h:
	* intl/xsize.h:
	* m4:
	* m4/codeset.m4:
	* m4/gettext.m4:
	* m4/glibc2.m4:
	* m4/glibc21.m4:
	* m4/iconv.m4:
	* m4/intdiv0.m4:
	* m4/intl.m4:
	* m4/intldir.m4:
	* m4/intlmacosx.m4:
	* m4/intmax.m4:
	* m4/inttypes-pri.m4:
	* m4/inttypes_h.m4:
	* m4/lcmessage.m4:
	* m4/lib-ld.m4:
	* m4/lib-link.m4:
	* m4/lib-prefix.m4:
	* m4/lock.m4:
	* m4/longlong.m4:
	* m4/nls.m4:
	* m4/po.m4:
	* m4/printf-posix.m4:
	* m4/progtest.m4:
	* m4/size_max.m4:
	* m4/stdint_h.m4:
	* m4/uintmax_t.m4:
	* m4/visibility.m4:
	* m4/wchar_t.m4:
	* m4/wint_t.m4:
	* m4/xsize.m4:
	* po:
	* po/LINGUAS:
	* po/Makefile.in.in:
	* po/Makevars:
	* po/Makevars.template:
	* po/POTFILES:
	* po/POTFILES.in:
	* po/Rules-quot:
	* po/alltray.pot:
	* po/boldquot.sed:
	* po/en@boldquot.header:
	* po/en@quot.header:
	* po/insert-header.sin:
	* po/quot.sed:
	* po/remove-potcdate.sin:
	* .bzrignore:
	* Makefile.am:
	* configure.ac:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/AttachHelper.vala:
	* src/Debug.vala:
	* src/Makefile.am:
	* src/Process.vala:
	* src/PromptDialog.vala:

	Merge first attempt at i18n for the application.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/LINGUAS:
	* po/alltray.pot:

	Remove LINGUAS content

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/Makevars:
	* po/alltray.pot:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/Process.vala:
	* src/PromptDialog.vala:

	Various updates in formatting required by gettext. Ugh.

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/POTFILES:
	* po/alltray.pot:
	* po/LINGUAS:
	* po/Makevars:

	add more i18n files

2009-07-24  Michael B. Trausch  <mike@trausch.us>

	* po/LINGUAS:
	* config.guess:
	* config.sub:
	* configure.ac:
	* po/POTFILES.in:
	* src/AllTray.vala:
	* src/Debug.vala:
	* src/Makefile.am:

	update

2009-07-23  Michael B. Trausch  <mike@trausch.us>

	* intl/Makefile.in:

	Add makefile. oops.

2009-07-23  Michael B. Trausch  <mike@trausch.us>

	* intl:
	* intl/ChangeLog:
	* intl/VERSION:
	* intl/bindtextdom.c:
	* intl/config.charset:
	* intl/dcgettext.c:
	* intl/dcigettext.c:
	* intl/dcngettext.c:
	* intl/dgettext.c:
	* intl/dngettext.c:
	* intl/eval-plural.h:
	* intl/explodename.c:
	* intl/export.h:
	* intl/finddomain.c:
	* intl/gettext.c:
	* intl/gettextP.h:
	* intl/gmo.h:
	* intl/hash-string.c:
	* intl/hash-string.h:
	* intl/intl-compat.c:
	* intl/intl-exports.c:
	* intl/l10nflist.c:
	* intl/langprefs.c:
	* intl/libgnuintl.h.in:
	* intl/libintl.rc:
	* intl/loadinfo.h:
	* intl/loadmsgcat.c:
	* intl/localcharset.c:
	* intl/localcharset.h:
	* intl/locale.alias:
	* intl/localealias.c:
	* intl/localename.c:
	* intl/lock.c:
	* intl/lock.h:
	* intl/log.c:
	* intl/ngettext.c:
	* intl/os2compat.c:
	* intl/os2compat.h:
	* intl/osdep.c:
	* intl/plural-exp.c:
	* intl/plural-exp.h:
	* intl/plural.c:
	* intl/plural.y:
	* intl/printf-args.c:
	* intl/printf-args.h:
	* intl/printf-parse.c:
	* intl/printf-parse.h:
	* intl/printf.c:
	* intl/ref-add.sin:
	* intl/ref-del.sin:
	* intl/relocatable.c:
	* intl/relocatable.h:
	* intl/textdomain.c:
	* intl/tsearch.c:
	* intl/tsearch.h:
	* intl/vasnprintf.c:
	* intl/vasnprintf.h:
	* intl/vasnwprintf.h:
	* intl/version.c:
	* intl/wprintf-parse.h:
	* intl/xsize.h:
	* m4/codeset.m4:
	* m4/glibc2.m4:
	* m4/glibc21.m4:
	* m4/intdiv0.m4:
	* m4/intl.m4:
	* m4/intldir.m4:
	* m4/intlmacosx.m4:
	* m4/intmax.m4:
	* m4/inttypes-pri.m4:
	* m4/inttypes_h.m4:
	* m4/lcmessage.m4:
	* m4/lock.m4:
	* m4/longlong.m4:
	* m4/printf-posix.m4:
	* m4/size_max.m4:
	* m4/stdint_h.m4:
	* m4/uintmax_t.m4:
	* m4/visibility.m4:
	* m4/wchar_t.m4:
	* m4/wint_t.m4:
	* m4/xsize.m4:
	* Makefile.am:
	* configure.ac:
	* src/gettext.h:
	* gettext.h:

	Add gettext-0.17 for building w/ i18n on systems w/o it.

2009-07-23  Michael B. Trausch  <mike@trausch.us>

	* po/Makevars:

	Add makevars

2009-07-23  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/AttachHelper.vala:
	* src/Debug.vala:
	* src/Process.vala:
	* src/PromptDialog.vala:

	Changes for i18n

2009-07-23  Michael B. Trausch  <mike@trausch.us>

	* ABOUT-NLS:
	* config.guess:
	* config.rpath:
	* config.sub:
	* m4:
	* m4/gettext.m4:
	* m4/iconv.m4:
	* m4/lib-ld.m4:
	* m4/lib-link.m4:
	* m4/lib-prefix.m4:
	* m4/nls.m4:
	* m4/po.m4:
	* m4/progtest.m4:
	* po:
	* po/Makefile.in.in:
	* po/Makevars.template:
	* po/POTFILES.in:
	* po/Rules-quot:
	* po/boldquot.sed:
	* po/en@boldquot.header:
	* po/en@quot.header:
	* po/insert-header.sin:
	* po/quot.sed:
	* po/remove-potcdate.sin:
	* src/gettext.h:
	* .bzrignore:
	* Makefile.am:
	* configure.ac:
	* src/PromptDialog.vala:

	Initial addition of i18n stuff.

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Enhance --version output, also.

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/Application.vala:
	* vapi/alltray.vapi:

	Enhance the About dialog to produce more info.

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Report buggy applications and show all windows before undocking.

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Merge e16-and-e17 branch; still don't work due to bugs in enlightenment

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	More cleanups on debug output, set SKIP_PAGER

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix debug output to not spam so much.

2009-07-22  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Updated .bzrignore to ignore gcov data

2009-07-15  Michael B. Trausch  <mike@trausch.us>

	* src/PromptDialog.vala:

	More clearly state what to do when issuing prompt.

2009-07-14  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:

	Include REQUIREMENTS file

2009-07-06  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/AttachHelper.vala:
	* src/Debug.vala:
	* src/Process.vala:
	* src/PromptDialog.vala:

	Fix indentation and trailing whitespace issues; indents more like c-mode now, which is what I wanted in the first place.

2009-07-06  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix check that catches AllTray in -a mode.

2009-07-06  Michael B. Trausch  <mike@trausch.us>

	* images/bg.png:

	Add bg used on identi.ca group

2009-06-25  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS for accuracy.

2009-06-22  Michael B. Trausch  <mike@trausch.us>

	* tests:
	* tests/1.png:
	* tests/2.png:
	* tests/GtkDemandsAttention.vala:
	* tests/GtkIconChange.vala:
	* tests/Makefile.am:
	* .bzrignore:
	* Makefile.am:
	* NEWS:
	* configure.ac:
	* src/Application.vala:

	Code is in AllTray, needs a bugfix to wnck to be enabled.

2009-06-20  Michael B. Trausch  <mike@trausch.us>

	* tests/Makefile.am:

	Add pngs to extra-dist

2009-06-20  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:
	* NEWS:

	Add tests to subdir

2009-06-20  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:
	* src/Application.vala:

	This does not work for some reason

2009-06-18  Michael B. Trausch  <mike@trausch.us>

	* tests/Makefile.am:

	Add makefile.am

2009-06-18  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Add GTK to configure checks (oops!) and add tests dir.

2009-06-18  Michael B. Trausch  <mike@trausch.us>

	* tests:
	* tests/1.png:
	* tests/2.png:
	* tests/GtkDemandsAttention.vala:
	* tests/GtkIconChange.vala:

	Added functional tests

2009-06-17  Michael B. Trausch  <mike@trausch.us>

	* src/Process.vala:

	Report error condition clearly so that it can be understood; exit() instead
	of abort(), since no core file is necessary or useful in this case.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:
	* src/gtop_glue.c:
	* src/gtop_glue.h:
	* vapi/gtop_glue.vapi:

	Add support for getting the name of a process.
	
	This is required for the implementation of bug 382347.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/gtop_glue.c:

	formatting

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix working under OpenBox; it depends on setting hints in a specific order.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Bump version post-release to indicate that future changes are not the 0.7.3dev release.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* ChangeLog:

	Updated changelog (again)

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* Makefile.am:
	* configure.ac:
	* utils/build-release.sh:

	Build data and fix configure when valac is not installed

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* utils/build-release.sh:

	Make build-release script to make releasing a tad easier.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Fix stupid would-be brown paper bag bug.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* ChangeLog:

	Updated ChangeLog

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* utils/release-changelog.sh:

	Added script to update ChangeLog for releases.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Updated ignore file.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix redundant function invocation

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* NEWS:

	Updated NEWS file.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Oops, do bump properly this time.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* .bzrignore:

	Tailor ignore file to make bzr quieter.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* data/Makefile.am:
	* data/alltray.desktop:
	* data/alltray.desktop.in:

	Generate .desktop file to include version, modify text.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Version bump.  Prepping for 0.7.3dev release.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:
	* src/AllTray.vala:
	* src/Debug.vala:

	Add -L option, update man page.

2009-06-12  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/Debug.vala:
	* src/Process.vala:
	* src/gtop_glue.c:
	* vapi/gtop_glue.vapi:

	Make AllTray work for applications that are grandchildren.
	
	Thanks to Ville Laurikari for giving a great bit of guidance in trying
	to figure out how to make this work!  Fixes LP #357468.

2009-06-11  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Remove useless ancient line.

2009-06-11  Michael B. Trausch  <mike@trausch.us>

	* src/Debug.vala:

	Add “main” to debug system options.

2009-06-10  Michael B. Trausch  <mike@trausch.us>

	* src/AttachHelper.vala:
	* src/Process.vala:
	* src/PromptDialog.vala:

	Fix "no newline at end of file".

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	... and remove unused AC_SUBST var.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/gtop_glue.c:
	* src/gtop_glue.h:
	* vapi/gtop_glue.vapi:

	Add the files I forgot to merge.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/gtop_glue.c:
	* src/gtop_glue.h:
	* vapi/gtop_glue.vapi:

	GRR.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	fix configure.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/unix_process:
	* src/unix_process.c:
	* src/unix_process.h:
	* src/unix_process/Makefile.am:
	* src/unix_process/freebsd_process_info.c:
	* src/unix_process/linux_process_info.c:
	* vapi/libgtop-2.0.vapi:
	* vapi/packages:
	* vapi/packages/Makefile.am:
	* vapi/packages/libgtop-2.0:
	* vapi/packages/libgtop-2.0/Makefile.am:
	* vapi/packages/libgtop-2.0/libgtop-2.0.files:
	* vapi/packages/libgtop-2.0/libgtop-2.0.gi:
	* vapi/packages/libgtop-2.0/libgtop-2.0.namespace:
	* vapi/unix_process.vapi:
	* configure.ac:
	* src/Application.vala:
	* src/Makefile.am:
	* vapi/Makefile.am:

	Merge the 'use-gtop' tree.  We do it the quick-n-dirty way.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/UnixProcessInfo.vala:
	* vapi/libgtop-2.0.vapi:
	* vapi/packages:
	* vapi/packages/Makefile.am:
	* vapi/packages/libgtop-2.0:
	* vapi/packages/libgtop-2.0/Makefile.am:
	* vapi/packages/libgtop-2.0/libgtop-2.0.files:
	* vapi/packages/libgtop-2.0/libgtop-2.0.gi:
	* vapi/packages/libgtop-2.0/libgtop-2.0.metadata:
	* vapi/packages/libgtop-2.0/libgtop-2.0.namespace:
	* src/Application.vala:
	* src/Makefile.am:
	* vapi/Makefile.am:

	Subprocess support.
	
	This enables AllTray to support processes spawned from a shell script
	(in other words, we can attach to grandchildren now, instead of just
	our children).
	
	This doesn't work for OpenOffice.org, because while it is our
	grandchild when it starts, the child dies before the grandchild's
	window appears, and so OOo winds up with a ppid of 1, which defeats us
	trying to attach to it.  The workaround is to use attach mode to
	attach to it once it's already running.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/UnixProcessInfo.vala:
	* vapi/packages/libgtop-2.0/libgtop-2.0.metadata:
	* configure.ac:
	* src/Application.vala:
	* src/Makefile.am:
	* vapi/libgtop-2.0.vapi:
	* vapi/packages/libgtop-2.0/libgtop-2.0.gi:
	* vapi/packages/libgtop-2.0/libgtop-2.0.namespace:

	It still is not working.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* vapi/unix_process.vapi:

	Remove VAPI for old unix_process code.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/unix_process:
	* src/unix_process.c:
	* src/unix_process.h:
	* src/unix_process/Makefile.am:
	* src/unix_process/freebsd_process_info.c:
	* src/unix_process/linux_process_info.c:

	Removed unix_process code.

2009-06-09  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	formatting

2009-06-07  Michael B. Trausch  <mike@trausch.us>

	* src/TrayMenu.vala:
	* configure.ac:
	* src/Application.vala:
	* src/Makefile.am:

	Revert changes from refactor attempt, need to do it later.

2009-06-07  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Oops, file was not saved.

2009-06-07  Michael B. Trausch  <mike@trausch.us>

	* src/TrayMenu.vala:
	* configure.ac:
	* src/Application.vala:
	* src/Makefile.am:

	Moving context menu to its own class, has some issues currently.

2009-06-06  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	drop unneeded stderr msg

2009-06-01  Michael B. Trausch  <mike@trausch.us>

	* vapi/libgtop-2.0.vapi:
	* vapi/packages:
	* vapi/packages/Makefile.am:
	* vapi/packages/libgtop-2.0:
	* vapi/packages/libgtop-2.0/Makefile.am:
	* vapi/packages/libgtop-2.0/libgtop-2.0.files:
	* vapi/packages/libgtop-2.0/libgtop-2.0.gi:
	* vapi/packages/libgtop-2.0/libgtop-2.0.namespace:
	* configure.ac:
	* vapi/Makefile.am:

	Added preliminary bindings for libgtop. Tweaking may be necessary.

2009-06-01  Michael B. Trausch  <mike@trausch.us>

	* README.in:

	Updated README document to indicate OS support issues.
	
	Need to possibly think about another way of doing this, or seeing if a relatively
	simple cross-platform library can be found that is not heavier than AllTray itself.

2009-06-01  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/Makefile.am:
	* src/unix_process/freebsd_process_info.c:

	Fix some brain-deadness

2009-06-01  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/unix_process.c:
	* src/unix_process/linux_process_info.c:

	Refactored linux file and added support for FreeBSD

2009-06-01  Michael B. Trausch  <mike@trausch.us>

	* src/unix_process/freebsd_process_info.c:
	* src/unix_process/Makefile.am:

	Added FreeBSD process info getter

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Remove non-needed and sometimes inaccurate info

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* autogen.sh:

	Fix autogen to run on more systems.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Fail early on systems we cannot/do not yet support.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/unix_process/Makefile.am:
	* NEWS:
	* configure.ac:
	* src/Makefile.am:
	* vapi/Makefile.am:

	Fix up autotools and fix building from non-versioned directory tree.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* vapi/stdc.vapi:
	* src/AllTray.vala:
	* src/Debug.vala:
	* src/Makefile.am:

	Moved to Vala Posix API for signals and exit/abort calls.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* NEWS:
	* REQUIREMENTS:

	Updated docs on Vala requirements, since the patch we wrote to make
	AllTray build on Vala has been integrated into their DVCS master tree.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* utils/vala-patches:
	* utils/vala-patches/0.7.3:
	* utils/vala-patches/0.7.3/0001-Enhance-X11-bindings-and-fix-some-cnames.patch:

	Removed vala patch, since it's in Vala's git repo now.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:

	Fix the build system to make it more efficient.
	
	This change uses the SOURCES_BUILT variable which is special to
	automake to process the Vala files differently and more efficiently.
	Things should only be rebuilt when needed now, and Vala sources will
	only be built once instead of some strange arbitrary number of times
	by make.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Eliminate all Vala warnings -- yay, clean build!

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/PromptDialog.vala:

	Fix Vala compile warnings, clean up a bit.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/AttachHelper.vala:

	Thanks to Jürg Billeter for the help!

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* utils/vala-patches/0.7.3/0001-Enhance-X11-bindings-and-fix-some-cnames.patch:
	* utils/vala-patches/0.7.3/0001-x11.vapi-fixes-for-C-code-generation-of-types.patch:
	* utils/vala-patches/0.7.3/0002-Fix-Gdk.XEvent-GDK-binding.patch:
	* utils/vala-patches/0.7.3/0003-Fix-X11-bindings-and-provide-enhancements-to-them.patch:
	* REQUIREMENTS:
	* src/AttachHelper.vala:

	Fix to build with a more lightly-patched Vala 0.7.3 release

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	When bringing a window back up, switch back to its workspace;
	doing the inverse does not seem very possible.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Use mini_icon instead of icon

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Fix typo

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/Application.vala:
	* src/unix_process.c:
	* src/unix_process/linux_process_info.c:

	Enabled Linux-specific PPID/name retrieval code.
	
	When starting up, we have to sometimes look for processes that we did
	not expect to have to look for and get information on their process
	ID, parent process ID, and program name.
	
	The code that permits this to happen is enabled now, and used by
	Application.vala.  This has the unfortunate effect of increasing our
	dependency set over and above POSIX a little bit, and this is not good
	because we lose portability.  As soon as possible, implementations to
	do what we're doing for Linux need to be done for other UNIX-like
	systems that AllTray can reasonably run on (e.g., systems that GNOME
	runs on), such as FreeBSD, NetBSD, OpenBSD, OpenSolaris...
	
	MonoDevelop can now be run under AllTray.  Unfortunately, it doesn't
	seem that way for OpenOffice.org, though there may be a way to handle
	that situation (where the shell script dies before the program
	actually opens any windows, is what it looks like).

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/Makefile.am:
	* src/unix_process.c:
	* vapi/unix_process.vapi:

	It builds, it builds!

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* src/Process.vala:

	Fix compiler warning (unreachable code). My stupid mistake.

2009-05-31  Michael B. Trausch  <mike@trausch.us>

	* vapi/unix_process.vapi:
	* src/Application.vala:
	* src/Makefile.am:

	Tie-in the process helper.
	
	This hooks in the unix_process code as the ProcessInfo object in
	AllTray, which can get process information on known platforms.

2009-05-30  Michael B. Trausch  <mike@trausch.us>

	* src/unix_process:
	* src/unix_process.c:
	* src/unix_process.h:
	* src/unix_process/linux_process_info.c:
	* src/Makefile.am:

	Added files to handle getting process information.
	
	This patch provides the code to get process information for arbitrary
	processes on various UNIX and UNIX-like systems.  For the moment, only
	the GNU/Linux operating system is actually supported, and this code
	has not yet been wired into Application.vala for use.
	
	I don't have any other UNIX or UNIX-like systems to implement this on,
	so implementations for FreeBSD, NetBSD, OpenBSD, OpenSolaris, and your
	favorite UNIX or UNIX-like system near you are appreciated.

2009-05-30  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Update REQUIREMENTS again to document the (possible)
	requirement for patching Vala.

2009-05-30  Michael B. Trausch  <mike@trausch.us>

	* utils/vala-patches:
	* utils/vala-patches/0.7.3:
	* utils/vala-patches/0.7.3/0001-x11.vapi-fixes-for-C-code-generation-of-types.patch:
	* utils/vala-patches/0.7.3/0002-Fix-Gdk.XEvent-GDK-binding.patch:
	* utils/vala-patches/0.7.3/0003-Fix-X11-bindings-and-provide-enhancements-to-them.patch:

	Commit local changes to Vala so that it can be built on Vala 0.7.3

2009-05-29  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:

	Bumped Vala requirement

2009-05-29  Michael B. Trausch  <mike@trausch.us>

	* src/x11_glue.c:

	Compiler warnings are your FWIEND. Always listen to them.

2009-05-29  Michael B. Trausch  <mike@trausch.us>

	* vapi/libx11.vapi:

	Removed built-in libx11.vapi, in favor of Vala-provided api instead

2009-05-29  Michael B. Trausch  <mike@trausch.us>

	* src/AttachHelper.vala:
	* src/Makefile.am:

	Change to using Vala 0.7.3-provided X11 bindings

2009-04-17  Michael B. Trausch  <mike@trausch.us>

	* README.in:

	Put some notes in README

2009-04-17  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/Process.vala:
	* vapi/stdc.vapi:

	Complete signal handling to end cleanly and not leave apps unreachable.

2009-04-17  Michael B. Trausch  <mike@trausch.us>

	* src/Debug.vala:

	Added signal debug

2009-04-17  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	initial sighandlers

2009-04-14  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Indicate the dialog is a dialog

2009-04-14  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/Application.vala:
	* vapi/alltray.vapi:

	Include GPLv3 in About dialog

2009-04-14  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Add individual window toggling

2009-04-13  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Added more useful menu items

2009-04-13  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Add basic right-click menu support for icon; incomplete yet.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:

	Version gets “+” designator between releases

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:

	Added notes re: KDE to the man page.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:
	* src/AttachHelper.vala:
	* src/PromptDialog.vala:
	* NEWS:
	* README.in:
	* configure.ac:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/Debug.vala:
	* src/Makefile.am:
	* src/Process.vala:
	* src/x11_glue.c:
	* src/x11_glue.h:
	* vapi/alltray.vapi:
	* vapi/libx11.vapi:
	* vapi/stdc.vapi:
	* vapi/x11_glue.vapi:

	Merge add-attach-mode branch

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Application.vala:
	* src/AttachHelper.vala:
	* src/Debug.vala:
	* src/Process.vala:
	* src/PromptDialog.vala:
	* src/x11_glue.c:
	* vapi/x11_glue.vapi:

	Finish attach-mode support.  To attach AllTray to a running
	process by clicking on one of its windows, say "alltray -a";
	to attach AllTray to a running process by stating which process
	(by PID), say "alltray -p XXX", where XXX is the process ID.
	
	See the man page for info.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	attach-to-process (-p, --process) now works; applications
	such as Thunderbird can be started by doing:
	
	thunderbird & sleep 5; alltray --process $(pgrep thunderbird-bin)
	
	Also, this means that AllTray can attach to a process given
	its PID, so long as it obeys the specs.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/x11_glue.c:

	Fix build errors now that we're not using C99 support,
	and fix call to alltray_find_managed_window due to
	the signature changing.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* REQUIREMENTS:
	* NEWS:

	Note new Vala build-time requirement (only necessary if
	building from a bzr tree; tarballs will have the *.c
	files pre-generated).

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:
	* vapi/alltray.vapi:

	Add local Gtk.StatusIcon bindings and use them instead
	of Vala 0.7.0+'s bindings, which remove compatibility with
	GTK+ versions < 2.16.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:

	Fix error when building with Vala 0.7.0

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/Makefile.am:
	* src/Process.vala:
	* src/x11_glue.c:

	Update for troubleshooting, drop C99 requirement

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/AttachHelper.vala:
	* src/PromptDialog.vala:
	* src/AllTray.vala:
	* src/Debug.vala:
	* src/Makefile.am:
	* src/Process.vala:
	* src/x11_glue.c:
	* src/x11_glue.h:
	* vapi/libx11.vapi:
	* vapi/stdc.vapi:
	* vapi/x11_glue.vapi:

	Adding attach-mode, but having trouble.  Committing a partial
	change anyway and taking a break to come back and see what may
	be wrong.

2009-04-08  Michael B. Trausch  <mike@trausch.us>

	* src/AllTray.vala:
	* src/Makefile.am:

	Disable depreciated things, and minor text corrections

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Fix multiple windows

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* man/alltray.1.in:

	Updates to man page for current (soon-to-be-committed)
	change in trunk

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* utils/clean-tree.sh:

	Enable -y on utils/clean-tree.sh, makes me happier

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/AllTray.vala:

	Fix configure flag output.

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* configure.ac:
	* src/AllTray.vala:
	* vapi/alltray.vapi:

	Enable -V (--extended-version) CLI option to be useful,
	and quashed many warnings.

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	Add support for making windows (like FF 3.5) stay hidden when
	they attempt to come back (such as when you click on a URL in
	another application).  Instead, blink the tray icon, indicating
	that the browser wants the user's attention.

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/Application.vala:

	subtle fixes for the GIMP

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* ChangeLog:
	* src/Application.vala:

	Handle application going away and coming back, as well
	as provide useful info in the tray icon tooltip. libwnck
	is a strange, strange thing...

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/TrayIcon.vala:
	* ChangeLog:
	* src/AllTray.vala:
	* src/Application.vala:
	* src/Makefile.am:
	* src/Process.vala:

	Refactoring and robustness improvements, now uses more
	signals and less polling.  Moved StatusIcon handling into
	the Application class since it makes more sense there.

2009-04-06  Michael B. Trausch  <mike@trausch.us>

	* doc/crash-help.txt:

	Add info on recovering lost windows from crashes.

2009-04-06  Michael B. Trausch  <mike@trausch.us>

	* NEWS:

	Actually release 0.7.2dev

2009-04-07  Michael B. Trausch  <mike@trausch.us>

	* src/TrayIcon.vala: Removed.

	* src/AllTray.vala: Made the static WnckScreen public so as to
	enable its usage elsewhere in the program.

	* src/Application.vala: Moved tray icon management into the
	Application instance, removed polling for the Wnck.Application in
	favor of watching for its signal instead.  Still deficient in that
	it looks for a PID match, so it still doesn't work for
	applications like OOo and Mono-based software started from a
	wrapper script.  Also, make better use of signals.

	* src/Application.vala: Handle application going away and coming
	back, as well as provide useful info in the tray icon tooltip.

	* src/Makefile.am: Removed TrayIcon.vala

	* src/Process.vala: Removed status icon and pid property.

2009-04-06  Michael B. Trausch  <mike@trausch.us>

	* Released: AllTray 0.7.1dev.

2009-01-12  Michael B. Trausch  <mike@trausch.us>

	* Created a new ChangeLog to go with the complete and utter
	re-working of the source tree.  Real ChangeLog entries will begin
	after we move away from refactoring and into implementing new and
	interesting things.

Copyright 2009 Michael B. Trausch <mike@trausch.us>.
Copying and distribution of this file, with or without modification, are
permitted provided the copyright notice and this notice are preserved.
